[arch-dev-public] [arch-commits] Commit in xorg-server/trunk (PKGBUILD xorg-server.install)

Dan McGee dpmcgee at gmail.com
Sat Oct 18 13:05:42 EDT 2008

On Sat, Oct 18, 2008 at 12:02 PM, Jan de Groot <jan at jgc.homeip.net> wrote:
> On Sat, 2008-10-18 at 11:53 -0500, Dan McGee wrote:
>> Jan,
>> Something didn't work quite right with this, look at my install
>> messages below (or maybe you just need an existence check first):
>> (12/12) upgrading xorg-server                       [---------------------] 100%
>> cmp: usr/lib/xorg/modules/extensions/libdri.so: No such file or directory
>> dmcgee at dublin ~
>> $ ls /usr/lib/xorg/modules/extensions/libdri.*
>> /usr/lib/xorg/modules/extensions/libdri.so
>> /usr/lib/xorg/modules/extensions/libdri.xorg
> This is known to me. The cmp command was added to make sure that it
> would work when upgrading from 1.5.2-2 to 1.5.2-3 (-2 had an invalid
> file symlinked to libdri.so). When upgrading from any version to
> 1.5.2-3, this error is printed, but it's harmless. The fix would be to
> add an 2>&1 there.

Ahh, OK. It is just sometimes disconcerting to see messages like this
pop up during an upgrade, leaving people wondering whether X is going
to start the next time they attempt a restart.


More information about the arch-dev-public mailing list